ShardDoc (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.ShardDoc class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class ShardDoc

    java.lang.Object
      org.apache.lucene.search.ScoreDoc
          org.apache.lucene.search.FieldDoc
              org.apache.solr.handler.component.ShardDoc

All Implemented Interfaces:
  Serializable

    public class ShardDoc

extends FieldDoc

See Also:
  Serialized Form

Field Summary
`Object` | `id`
`int` | `positionInResponse`
`String` | `shard`
`String` | `shardAddress`

Fields inherited from class org.apache.lucene.search.FieldDoc
`fields`

Fields inherited from class org.apache.lucene.search.ScoreDoc
`doc, shardIndex`

Constructor Summary
`ShardDoc()`
`ShardDoc(float score, Object[] fields, Object uniqueId, String shard)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### shard

    public String shard

### shardAddress

    public String shardAddress

### id

    public Object id

### positionInResponse

    public int positionInResponse

Constructor Detail

### ShardDoc

    public ShardDoc(float score,
                    Object[] fields,
                    Object uniqueId,
                    String shard)

### ShardDoc

    public ShardDoc()

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `FieldDoc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD